import { DndEvent } from './DndEvent';
export declare const dndProps: () => {
    draggable: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    dockable: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    dropin: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    allowDrag: import("vue-types").VueTypeValidableDef<(target: HTMLElement) => boolean>;
    allowDockable: import("vue-types").VueTypeValidableDef<(target: HTMLElement) => boolean>;
    allowDropin: import("vue-types").VueTypeValidableDef<(target: HTMLElement) => boolean>;
    allowDrop: import("vue-types").VueTypeValidableDef<(dndEvent: DndEvent) => boolean>;
    allowHover: import("vue-types").VueTypeValidableDef<(target: HTMLElement) => boolean>;
    customDragoverGuidePosition: import("vue-types").VueTypeValidableDef<(dndEvent: DndEvent) => DndEvent>;
    dataTransformDnd: import("vue-types").VueTypeValidableDef<(dndEvent: DndEvent) => DndEvent>;
    dataTransformOnSelect: import("vue-types").VueTypeValidableDef<(element: HTMLElement) => any>;
    dataTransformSelect: import("vue-types").VueTypeValidableDef<(field: any) => HTMLElement | null>;
    dataTransformOnHover: import("vue-types").VueTypeValidableDef<(element: HTMLElement) => any>;
    dataTransformHover: import("vue-types").VueTypeValidableDef<(field: any) => HTMLElement>;
    dataTransformOnChange: import("vue-types").VueTypeValidableDef<(element: HTMLElement) => any>;
    dataTransformChange: import("vue-types").VueTypeValidableDef<(field: any) => HTMLElement>;
};
export interface emitsProp {
    onDragstart: (dndEvent: DndEvent) => void;
    onDrag: (dndEvent: DndEvent) => void;
    onDragover: (dndEvent: DndEvent) => void;
    onDrop: (dndEvent: DndEvent) => void;
    onSelect: (data: HTMLElement | any) => void;
    onHover: (data: HTMLElement | any) => void;
    onChange: (data: HTMLElement | any) => void;
}
export interface DndMethods {
    select: (field: any) => void;
    hover: (field: any) => void;
    change: (field: any) => void;
}
