import { Ref, SetupContext } from 'vue';
import { DndEvent } from './DndEvent';
export interface BaseModule {
    containerRef: Ref<Element>;
    dndEvent: Ref<DndEvent>;
    allowDrag: (target: Element) => boolean;
    allowDockable: (target: Element) => boolean;
    allowDropin: (target: Element) => boolean;
    allowDrop: (dndEvent: DndEvent) => boolean;
    allowHover: (target: Element) => boolean;
    onDragstart: (dndEvent: DndEvent) => void;
    onDrop: (dndEvent: DndEvent) => void;
    customDragoverGuidePosition: (dndEvent: DndEvent) => string;
    initialDropEvent: (ev: DragEvent) => void;
    [x: string]: any;
}
export declare type CtxProps = SetupContext<('dragstart' | 'drop' | 'select' | 'contextmenu')[]>;
declare const _default: (props: any, ctx: CtxProps) => {
    guideHoverRef: Ref<any>;
    guideHoverStyles: Ref<any>;
    guideDragoverRef: Ref<any>;
    guideDragoverStyles: Ref<any>;
    guideDragoverParentStyles: Ref<any>;
    guideSelectStyles: Ref<any>;
    mouseover: (ev: MouseEvent) => void;
    mouseleave: (ev: MouseEvent) => void;
    wrapDragleave: () => void;
    mousemove: (ev: MouseEvent) => void;
    dragstart: (ev: DragEvent) => void;
    dragend: (ev: DragEvent) => void;
    drag: (ev: DragEvent) => void;
    dragover: (ev: DragEvent) => void;
    dragleave: (ev: DragEvent) => void;
    dragenter: (ev: DragEvent) => void;
    drop: (ev: DragEvent) => void;
    select: (element: Element | any) => void;
    hoverClick: (ev: MouseEvent | PointerEvent) => void;
    hoverContextmenu: (ev: MouseEvent | PointerEvent) => void;
    containerRef: Ref<Element>;
    dndEvent: Ref<DndEvent>;
    allowDrag: (target: Element) => boolean;
    allowDockable: (target: Element) => boolean;
    allowDropin: (target: Element) => boolean;
    allowDrop: (dndEvent: DndEvent) => boolean;
    allowHover: (target: Element) => boolean;
    onDragstart: (dndEvent: DndEvent) => void;
    onDrop: (dndEvent: DndEvent) => void;
    customDragoverGuidePosition: (dndEvent: DndEvent) => string;
    initialDropEvent: (ev: DragEvent) => void;
};
export default _default;
