import { InjectionKey } from 'vue';
import { FieldRule, FormItemInfo } from './interface';
export interface FormContext {
    rules?: Record<string, FieldRule | FieldRule[]>;
    model?: Record<string, any>;
    prefixCls: string;
    addField: (field: FormItemInfo) => void;
    removeField: (field: FormItemInfo) => void;
    onValidateField: (fieldName: string, errors?: any) => void;
}
export declare const formInjectionKey: InjectionKey<FormContext>;
export declare const useProvideForm: (props: FormContext) => void;
export declare const useInjectForm: () => FormContext;
export interface FormItemContext {
    onFieldBlur?: () => void;
    onFiledFocus?: () => void;
    onFieldChange?: () => void;
    clearValidate?: () => void;
}
export declare const formItemInjectionKey: InjectionKey<FormItemContext>;
export declare const useProvideFormItem: (props: FormItemContext) => void;
export declare const useInjectFormItem: () => FormItemContext;
