import { PropType, Ref, UnwrapNestedRefs } from 'vue';
import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
declare type UserSliderProps = {
    max?: Ref<number>;
    min?: Ref<number>;
    onChange?: (...args: any[]) => void;
} & Record<string, any>;
export declare const defaultProps: {
    min: number;
    max: number;
    step: number;
    marks: {};
    included: boolean;
    disabled: boolean;
    onHandleMouseup: () => void;
};
export declare const initDefaultProps: <T>(types: T, defaultProps: { [K in keyof T]?: (T[K] extends VueTypeValidableDef<infer U> ? U : T[K] extends VueTypeDef<infer U_1> ? U_1 : T[K] extends {
    type: PropType<infer U_2>;
} ? U_2 : any) | undefined; }) => T;
export default function (sliderProps: UserSliderProps, sliderState?: UnwrapNestedRefs<any>): {
    dragging: Ref<boolean>;
    sliderRef: Ref<HTMLElement | undefined>;
    onMouseDown: (e: MouseEvent) => void;
    onMouseMove: (e: MouseEvent) => void;
    onMouseEnter: (e: MouseEvent) => void;
    onMouseLeave: (e: MouseEvent) => void;
    calcOffset: (value: number) => number;
};
/**------------------------------------------------------- */
export declare function getMousePosition(vertical: boolean, e: MouseEvent): number;
export declare const getSliderOffset: (isVertical: boolean, dom: HTMLElement) => number;
export declare const getSliderLength: (isVertical: boolean, dom: HTMLElement) => number;
export {};
