import { DataNode } from '../props';
import { TreeKey, TreeStore } from './tree-store';
export declare class TreeNode {
    key: string | number;
    label: string;
    parent: TreeNode;
    store: TreeStore;
    childNodes: TreeNode[];
    level: number;
    isLeaf: boolean;
    isFirst: boolean;
    isLast: boolean;
    originData: any;
    checked: boolean;
    indeterminate: boolean;
    expanded: boolean;
    draggable: boolean;
    droppable: boolean;
    editable: boolean;
    disabled: boolean;
    constructor(options?: Record<string, any>);
    initialize(options: Record<string, any>): void;
    registerNode(): void;
    initialKey(options: Record<string, any>): void;
    initialLabel(options: Record<string, any>): void;
    initialLevel(): void;
    initialChildren(options: Record<string, any>): void;
    updateLeafState(): void;
    remove(key: TreeKey): void;
    /**
     * @name 子集插入node
     * @param node node实例
     * @param index 索引
     */
    insert(node: TreeNode, index?: number): void;
    /**
     * @name 插入当前node前
     * @param node TreeNode
     */
    insertBefore(node: TreeNode): void;
    /**
     * @name 插入当前node后
     * @param node TreeNode
     */
    insertAfter(node: TreeNode): void;
    /**
     *
     * @param {boolean} checked 是否勾选check
     * @param {boolean} parent 同步给父级
     * @param {boolean} children  同步给子集
     */
    check(checked: boolean, parent?: boolean, children?: boolean): void;
    chilrenEmitChecked(): void;
    updateSelfChecked(checked: boolean): void;
    updateParentChecked(): void;
    updateChildrenChecked(checked: boolean): void;
    expand(expanded: boolean, parent?: boolean): void;
    edit(editable: boolean): void;
    rename(val: string): void;
    indexAtParent(): number;
    isContain(node: TreeNode): boolean;
    getParents(): TreeNode[];
    toData(): DataNode;
}
