import type { ExtractPropTypes } from 'vue';
import type { UploadFile, UploadFiles } from './upload';
import type UploadList from './upload-list.vue';
export declare const uploadListProps: {
    files: {
        type: import("vue").PropType<UploadFiles>;
        default: () => never[];
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    uploadPrecent: {
        type: NumberConstructor;
        default: number;
    };
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
    };
    handlePreview: {
        type: import("vue").PropType<(uploadFile: UploadFile) => void>;
        default: () => void;
    };
    listType: {
        type: StringConstructor;
        values: readonly ["text", "picture-card"];
        default: string;
    };
};
export declare type UploadListProps = ExtractPropTypes<typeof uploadListProps>;
export declare const uploadListEmits: {
    remove: (file: UploadFile) => boolean;
};
export declare type UploadListEmits = typeof uploadListEmits;
export declare type UploadListInstance = InstanceType<typeof UploadList>;
